ColumnSubselection (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.filter

## Class ColumnSubselection

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnSubselection

- All Implemented Interfaces:
    java.lang.Comparable<ColumnSubselection>

      public abstract class ColumnSubselection
      extends java.lang.Object
      implements java.lang.Comparable<ColumnSubselection>

  Handles the selection of a subpart of a column.

  This only make sense for complex column. For those, this allow for instance to select only a slice of a map.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnSubselection.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ColumnDefinition` | `column`
    `static ColumnSubselection.Serializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ColumnSubselection(ColumnDefinition column)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnDefinition` | `column()`
    `abstract int` | `compareInclusionOf(CellPath path)` Given a path, return -1 if the path is before anything selected by this subselection, 0 if it is selected by this subselection and 1 if the path is after anything selected by this subselection.
    `int` | `compareTo(ColumnSubselection other)`
    `protected abstract CellPath` | `comparisonPath()`
    `static ColumnSubselection` | `element(ColumnDefinition column, CellPath elt)`
    `protected abstract org.apache.cassandra.db.filter.ColumnSubselection.Kind` | `kind()`
    `static ColumnSubselection` | `slice(ColumnDefinition column, CellPath from, CellPath to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final ColumnSubselection.Serializer serializer

    - #### column

          protected final ColumnDefinition column

  - ### Constructor Detail

    - #### ColumnSubselection

          protected ColumnSubselection(ColumnDefinition column)

  - ### Method Detail

    - #### slice

          public static ColumnSubselection slice(ColumnDefinition column,
                                                 CellPath from,
                                                 CellPath to)

    - #### element

          public static ColumnSubselection element(ColumnDefinition column,
                                                   CellPath elt)

    - #### column

          public ColumnDefinition column()

    - #### kind

          protected abstract org.apache.cassandra.db.filter.ColumnSubselection.Kind kind()

    - #### comparisonPath

          protected abstract CellPath comparisonPath()

    - #### compareTo

          public int compareTo(ColumnSubselection other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ColumnSubselection>`

    - #### compareInclusionOf

          public abstract int compareInclusionOf(CellPath path)

      Given a path, return -1 if the path is before anything selected by this subselection, 0 if it is selected by this subselection and 1 if the path is after anything selected by this subselection.

Copyright © 2018 The Apache Software Foundation